using RenovationWorkContracts.BindingModels;
using RenovationWorkContracts.SeatchModels;
using RenovationWorkContracts.StorageContracts;
using RenovationWorkContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RenovationWorkFileImplement.Implements
{
    public class ClientStorage : IClientStorage
    {
        public ClientViewModel? Delete(ClientBindingModel model)
        {
            throw new NotImplementedException();
        }

        public ClientViewModel? GetElement(ClientSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<ClientViewModel> GetFilteredList(ClientSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<ClientViewModel> GetFullList()
        {
            throw new NotImplementedException();
        }

        public ClientViewModel? Insert(ClientBindingModel model)
        {
            throw new NotImplementedException();
        }

        public ClientViewModel? Update(ClientBindingModel model)
        {
            throw new NotImplementedException();
        }
    }
}
